org.apache.cayenne.dba.ingres

## Class IngresSelectAction

- java.lang.Object
- - org.apache.cayenne.access.jdbc.BaseSQLAction
  - - org.apache.cayenne.access.jdbc.SelectAction
    - - org.apache.cayenne.dba.ingres.IngresSelectAction

- All Implemented Interfaces:
    SQLAction

      public class IngresSelectAction
      extends SelectAction

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.SelectAction

      `query, queryMetadata`

    - ### Fields inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `dataNode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IngresSelectAction(SelectQuery<T> query, DataNode dataNode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getInMemoryOffset(int queryOffset)` Returns a value of the offset that will be used to rewind the ResultSet within the SQL action before reading the result rows.

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.SelectAction

      `performAction`

    - ### Methods inherited from class org.apache.cayenne.access.jdbc.BaseSQLAction

      `readResultSet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IngresSelectAction

          public IngresSelectAction(SelectQuery<T> query,
                                    DataNode dataNode)

  - ### Method Detail

    - #### getInMemoryOffset

          protected int getInMemoryOffset(int queryOffset)

      Description copied from class: `BaseSQLAction`
      Returns a value of the offset that will be used to rewind the ResultSet within the SQL action before reading the result rows. The default implementation returns 'queryOffset' argument. If the adapter supports setting offset at the SQL level, this method must be overridden to return zero to suppress manual offset.
      Overrides:
        `getInMemoryOffset` in class `BaseSQLAction`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.